Bug 18401 - Add the Koha::Checkout->patron method
Summary: Add the Koha::Checkout->patron method
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 18402
  Show dependency treegraph
 
Reported: 2017-04-07 21:15 UTC by Jonathan Druart
Modified: 2019-03-07 04:50 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 18401: Add new method Koha::Checkout->patron (1.89 KB, patch)
2017-04-07 21:18 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18401: Add new method Koha::Checkout->patron (2.03 KB, patch)
2017-04-08 08:22 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 18401: Add new method Koha::Checkout->patron (2.08 KB, patch)
2017-04-25 20:05 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2017-04-07 21:15:07 UTC

    
Comment 1 Jonathan Druart 2017-04-07 21:18:52 UTC
Created attachment 61979 [details] [review]
Bug 18401: Add new method Koha::Checkout->patron

Return the patron related to a given checkout

Test plan:
  prove t/db_dependent/Koha/Checkouts.t
should return green
Comment 2 Marc Véron 2017-04-08 08:22:24 UTC
Created attachment 61985 [details] [review]
Bug 18401: Add new method Koha::Checkout->patron

Return the patron related to a given checkout

Test plan:
  prove t/db_dependent/Koha/Checkouts.t
should return green

Signed-off-by: Marc Véron <veron@veron.ch>
Comment 3 Marc Véron 2017-04-08 08:23:21 UTC
Tested on master, setting Version from unspecified to master
Comment 4 Nick Clemens 2017-04-25 20:05:04 UTC
Created attachment 62700 [details] [review]
Bug 18401: Add new method Koha::Checkout->patron

Return the patron related to a given checkout

Test plan:
  prove t/db_dependent/Koha/Checkouts.t
should return green

Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 5 Kyle M Hall 2017-04-28 12:59:05 UTC
Pushed to master for 17.05, thanks Jonathan!
Comment 6 Katrin Fischer 2017-05-13 12:32:12 UTC
This won't get ported back to 16.11.x as it is an enhancement.
Comment 7 David Cook 2019-03-07 04:46:50 UTC
Found a bug with this when the checkout has a null borrowernumber. Will spin out a new report.
Comment 8 David Cook 2019-03-07 04:50:06 UTC
(In reply to David Cook from comment #7)
> Found a bug with this when the checkout has a null borrowernumber. Will spin
> out a new report.

Nevermind. It's fixed by #21432.